Page MenuHome

Blender crashes at switching to Texture view
Closed, ResolvedPublic

Description

System Information
Operating system: MacOS 10.14 Mojave
Graphics card: unknown

Blender Version
Broken: (example: 2.80 Beta, 638938e5a8c3, master, 2019-04-18 20:19, as found on the splash screen)
Worked: (optional)

Short description of error
I have a blend file which I created. When switching to Texture view (cycles or eevee) or render preview (only eevee), Blender crashes

Exact steps for others to reproduce the error
Open:


switch to textured view, or first to rendered view in cycles and then to eevee.

Details

Type
Bug

Event Timeline

George Vogiatzis (Gvgeo) triaged this task as Needs Information from User priority.

In case you missed it. But need to be a small file.

It will be best to provide a file with only the necessary parts to replicate the problem.
A simple objects that creates the problem.
If you believe the problem is object specific, copy it to a new file, or delete other parts.

While you on it, please fill the rest of the info too.
The easiest way is from the help menu -> report a bug. This opens the report form, with the description info filled.
Don't open a new bug, just copy the 'System Information' and 'Blender Version' parts here.

Added file causing this error

George Vogiatzis (Gvgeo) raised the priority of this task from Needs Information from User to Needs Triage by Developer.Apr 20 2019, 6:16 PM

I can't replicate the problem. (Win10 - amd gpu)
Someone else will test it with mac too.

If you get any error message when it crashes, will be helpful to know.

Tried again this morning, here the crash report:

Process: blender [1116]
Path: /Volumes/VOLUME/*/blender.app/Contents/MacOS/blender
Identifier: org.blenderfoundation.blender
Version: 2.80 (2.80 2019-04-19, Blender Foundation)
Code Type: X86-64 (Native)
Parent Process: ??? [1]
Responsible: blender [1116]
User ID: 501

Date/Time: 2019-04-21 09:02:36.475 +0200
OS Version: Mac OS X 10.14.4 (18E226)
Report Version: 12
Anonymous UUID: 5206E3E8-C7DC-AC10-86A2-BC01BCA861FF

Sleep/Wake UUID: 7434C78E-44EA-4576-96B5-9DE52F033F65

Time Awake Since Boot: 8700 seconds
Time Since Wake: 49 seconds

System Integrity Protection: disabled

Notes: Translocated Process

Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Exception Type: EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x00007fff40111960
Exception Note: EXC_CORPSE_NOTIFY

Termination Signal: Bus error: 10
Termination Reason: Namespace SIGNAL, Code 0xa
Terminating Process: exc handler [1116]

VM Regions Near 0x7fff40111960:

__TEXT                 00007fff3ffb7000-00007fff40000000 [  292K] r-x/r-x SM=COW  /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib

--> __TEXT 00007fff40000000-00007fff4012a000 [ 1192K] r-x/rwx SM=COW /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib

__TEXT                 00007fff4012a000-00007fff40169000 [  252K] r-x/rwx SM=COW  /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0 org.blenderfoundation.blender 0x000000010ed68e4b GPU_generate_pass + 1611

Thread 1:
0 libsystem_kernel.dylib 0x00007fff6348f86a psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff6354856e _pthread_cond_wait + 722
2 libc++.1.dylib 0x00007fff60366a0a std::
1::condition_variable::wait(std::1::unique_lock<std::1::mutex>&) + 18
3 org.blenderfoundation.blender 0x000000010aa2fb33 IlmThread_2_3::Semaphore::wait() + 147
4 org.blenderfoundation.blender 0x000000010aa2d092 IlmThread_2_3::(anonymous namespace)::DefaultWorkerThread::run() + 66
5 org.blenderfoundation.blender 0x000000010aa2f587 void* std::1::thread_proxy<std::1::tuple<std::1::unique_ptr<std::1::thread_struct, std::1::default_delete<std::1::__thread_struct> >, void (IlmThread_2_3::Thread::*)(), IlmThread_2_3::Thread*> >(void*) + 663
6 libsystem_pthread.dylib 0x00007fff635452eb _pthread_body + 126
7 libsystem_pthread.dylib 0x00007fff63548249 _pthread_start + 66
8 libsystem_pthread.dylib 0x00007fff6354440d thread_start + 13

Thread 2:
0 libsystem_kernel.dylib 0x00007fff6348f86a psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff6354856e _pthread_cond_wait + 722
2 libc++.1.dylib 0x00007fff60366a0a std::
1::condition_variable::wait(std::1::unique_lock<std::1::mutex>&) + 18
3 org.blenderfoundation.blender 0x000000010aa2fb33 IlmThread_2_3::Semaphore::wait() + 147
4 org.blenderfoundation.blender 0x000000010aa2d092 IlmThread_2_3::(anonymous namespace)::DefaultWorkerThread::run() + 66
5 org.blenderfoundation.blender 0x000000010aa2f587 void* std::1::thread_proxy<std::1::tuple<std::1::unique_ptr<std::1::thread_struct, std::1::default_delete<std::1::__thread_struct> >, void (IlmThread_2_3::Thread::*)(), IlmThread_2_3::Thread*> >(void*) + 663
6 libsystem_pthread.dylib 0x00007fff635452eb _pthread_body + 126
7 libsystem_pthread.dylib 0x00007fff63548249 _pthread_start + 66
8 libsystem_pthread.dylib 0x00007fff6354440d thread_start + 13

Thread 3:
0 libsystem_kernel.dylib 0x00007fff6348f86a psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff6354856e _pthread_cond_wait + 722
2 libc++.1.dylib 0x00007fff60366a0a std::
1::condition_variable::wait(std::1::unique_lock<std::1::mutex>&) + 18
3 org.blenderfoundation.blender 0x000000010aa2fb33 IlmThread_2_3::Semaphore::wait() + 147
4 org.blenderfoundation.blender 0x000000010aa2d092 IlmThread_2_3::(anonymous namespace)::DefaultWorkerThread::run() + 66
5 org.blenderfoundation.blender 0x000000010aa2f587 void* std::1::thread_proxy<std::1::tuple<std::1::unique_ptr<std::1::thread_struct, std::1::default_delete<std::1::__thread_struct> >, void (IlmThread_2_3::Thread::*)(), IlmThread_2_3::Thread*> >(void*) + 663
6 libsystem_pthread.dylib 0x00007fff635452eb _pthread_body + 126
7 libsystem_pthread.dylib 0x00007fff63548249 _pthread_start + 66
8 libsystem_pthread.dylib 0x00007fff6354440d thread_start + 13

Thread 4:
0 libsystem_kernel.dylib 0x00007fff6348f86a psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff6354856e _pthread_cond_wait + 722
2 libc++.1.dylib 0x00007fff60366a0a std::
1::condition_variable::wait(std::1::unique_lock<std::1::mutex>&) + 18
3 org.blenderfoundation.blender 0x000000010aa2fb33 IlmThread_2_3::Semaphore::wait() + 147
4 org.blenderfoundation.blender 0x000000010aa2d092 IlmThread_2_3::(anonymous namespace)::DefaultWorkerThread::run() + 66
5 org.blenderfoundation.blender 0x000000010aa2f587 void* std::1::thread_proxy<std::1::tuple<std::1::unique_ptr<std::1::thread_struct, std::1::default_delete<std::1::__thread_struct> >, void (IlmThread_2_3::Thread::*)(), IlmThread_2_3::Thread*> >(void*) + 663
6 libsystem_pthread.dylib 0x00007fff635452eb _pthread_body + 126
7 libsystem_pthread.dylib 0x00007fff63548249 _pthread_start + 66
8 libsystem_pthread.dylib 0x00007fff6354440d thread_start + 13

Thread 5:
0 libsystem_pthread.dylib 0x00007fff635443f0 start_wqthread + 0

Thread 6:
0 libsystem_pthread.dylib 0x00007fff635443f0 start_wqthread + 0

Thread 7:
0 libsystem_pthread.dylib 0x00007fff635443f0 start_wqthread + 0

Thread 8:: com.apple.audio.IOThread.client
0 libsystem_kernel.dylib 0x00007fff6348c22a mach_msg_trap + 10
1 libsystem_kernel.dylib 0x00007fff6348c76c mach_msg + 60
2 com.apple.audio.CoreAudio 0x00007fff36958eda HALB_MachPort::SendMessageWithReply(unsigned int, unsigned int, unsigned int, unsigned int, mach_msg_header_t*, bool, unsigned int) + 122
3 com.apple.audio.CoreAudio 0x00007fff36958e4f HALB_MachPort::SendSimpleMessageWithSimpleReply(unsigned int, unsigned int, int, int&, bool, unsigned int) + 45
4 com.apple.audio.CoreAudio 0x00007fff3695539f HALC_ProxyIOContext::IOWorkLoop() + 1017
5 com.apple.audio.CoreAudio 0x00007fff36954df4 HALC_ProxyIOContext::IOThreadEntry(void*) + 122
6 com.apple.audio.CoreAudio 0x00007fff36954956 HALB_IOThread::Entry(void*) + 72
7 libsystem_pthread.dylib 0x00007fff635452eb _pthread_body + 126
8 libsystem_pthread.dylib 0x00007fff63548249 _pthread_start + 66
9 libsystem_pthread.dylib 0x00007fff6354440d thread_start + 13

Thread 9:
0 libsystem_kernel.dylib 0x00007fff6348f86a __psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff6354856e _pthread_cond_wait + 722
2 org.blenderfoundation.blender 0x000000010961fa8c task_scheduler_thread_run + 124
3 libsystem_pthread.dylib 0x00007fff635452eb _pthread_body + 126
4 libsystem_pthread.dylib 0x00007fff63548249 _pthread_start + 66
5 libsystem_pthread.dylib 0x00007fff6354440d thread_start + 13

Thread 10:
0 libsystem_kernel.dylib 0x00007fff6348f86a __psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff6354856e _pthread_cond_wait + 722
2 org.blenderfoundation.blender 0x000000010961fa8c task_scheduler_thread_run + 124
3 libsystem_pthread.dylib 0x00007fff635452eb _pthread_body + 126
4 libsystem_pthread.dylib 0x00007fff63548249 _pthread_start + 66
5 libsystem_pthread.dylib 0x00007fff6354440d thread_start + 13

Thread 11:
0 libsystem_kernel.dylib 0x00007fff6348f86a __psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff6354856e _pthread_cond_wait + 722
2 org.blenderfoundation.blender 0x000000010961fa8c task_scheduler_thread_run + 124
3 libsystem_pthread.dylib 0x00007fff635452eb _pthread_body + 126
4 libsystem_pthread.dylib 0x00007fff63548249 _pthread_start + 66
5 libsystem_pthread.dylib 0x00007fff6354440d thread_start + 13

Thread 12:: com.apple.NSEventThread
0 libsystem_kernel.dylib 0x00007fff6348c22a mach_msg_trap + 10
1 libsystem_kernel.dylib 0x00007fff6348c76c mach_msg + 60
2 com.apple.CoreFoundation 0x00007fff36edf13e CFRunLoopServiceMachPort + 328
3 com.apple.CoreFoundation 0x00007fff36ede6ac
CFRunLoopRun + 1612
4 com.apple.CoreFoundation 0x00007fff36edde0e CFRunLoopRunSpecific + 455
5 com.apple.AppKit 0x00007fff3456cd1a _NSEventThread + 175
6 libsystem_pthread.dylib 0x00007fff635452eb _pthread_body + 126
7 libsystem_pthread.dylib 0x00007fff63548249 _pthread_start + 66
8 libsystem_pthread.dylib 0x00007fff6354440d thread_start + 13

Thread 0 crashed with X86 Thread State (64-bit):

rax: 0x00007fff40111960  rbx: 0x0000000000000000  rcx: 0x0000000000000000  rdx: 0x0000000000000000
rdi: 0x0000600000c0ce80  rsi: 0x00000001100cdeb0  rbp: 0x0000600000e95ea8  rsp: 0x00007ffee69919e0
 r8: 0x0000000000000002   r9: 0x00007ffee6991980  r10: 0x00007ffee6991980  r11: 0x00005ffef0b3efd0
r12: 0x0000000000000000  r13: 0x00006000000d0878  r14: 0x0000000000000000  r15: 0x000060000396e4dc
rip: 0x000000010ed68e4b  rfl: 0x0000000000010202  cr2: 0x00007fff40111960

Logical CPU: 0
Error Code: 0x00000007
Trap Number: 14

Binary Images:

   0x10926d000 -        0x110371f87 +org.blenderfoundation.blender (2.80 - 2.80 2019-04-19, Blender Foundation) <0DE78EB8-A05B-3BF1-BF6E-7DFDD25732E6> /var/folders/*/blender.app/Contents/MacOS/blender
   0x11399e000 -        0x1139ffff7 +libomp.dylib (0) <C32CE1B6-6F34-34E2-B9A3-7B8AD010CE68> /var/folders/*/blender.app/Contents/Resources/lib/libomp.dylib
   0x114791000 -        0x114926fff  com.apple.audio.units.Components (1.14 - 1.14) <37B4FB18-3557-332A-834B-8187B8F6E32A> /System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
   0x1163a6000 -        0x1163aaffb  com.apple.audio.AppleHDAHALPlugIn (282.54 - 282.54) <07890660-6F1C-3230-BB32-39A6B42BC0F4> /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
   0x118115000 -        0x118126ff7 +_ctypes.cpython-37m-darwin.so (0) <F2700E51-D61D-389E-98FB-6DDCA054A5C0> /var/folders/*/blender.app/Contents/Resources/2.80/python/lib/python3.7/lib-dynload/_ctypes.cpython-37m-darwin.so
   0x118137000 -        0x11813bff7 +_struct.cpython-37m-darwin.so (0) <7274B4CF-30C4-359F-A572-311BBB3AF07E> /var/folders/*/blender.app/Contents/Resources/2.80/python/lib/python3.7/lib-dynload/_struct.cpython-37m-darwin.so
   0x11815a000 -        0x118160fff +array.cpython-37m-darwin.so (0) <EF417ADC-162F-3E81-AAA6-F0B422A8AE5E> /var/folders/*/blender.app/Contents/Resources/2.80/python/lib/python3.7/lib-dynload/array.cpython-37m-darwin.so
   0x118c8c000 -        0x118c8f047  libobjc-trampolines.dylib (756.2) <E0ADAED0-0649-399B-856E-29BA398C6433> /usr/lib/libobjc-trampolines.dylib
   0x11e367000 -        0x11e36cff7 +math.cpython-37m-darwin.so (0) <8E3040CF-1D6C-31F6-877B-1A1834678F7E> /var/folders/*/blender.app/Contents/Resources/2.80/python/lib/python3.7/lib-dynload/math.cpython-37m-darwin.so
   0x11e3cb000 -        0x11e3ccff7 +_heapq.cpython-37m-darwin.so (0) <4E38D5FE-D41E-3D73-A691-D8EB68705BA1> /var/folders/*/blender.app/Contents/Resources/2.80/python/lib/python3.7/lib-dynload/_heapq.cpython-37m-darwin.so
   0x11ea4b000 -        0x11eab56ef  dyld (655.1.1) <F217F7F8-A795-3109-B77F-B1E2277F3E3B> /usr/lib/dyld
0x7fff2b98e000 -     0x7fff2bce6fff  com.apple.RawCamera.bundle (8.14.0 - 1031.4.2) <7CEBABD9-0E85-3670-9836-40DD190C48A8> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x7fff2f707000 -     0x7fff304daff7  com.apple.driver.AppleIntelKBLGraphicsGLDriver (12.8.38 - 12.0.8) <D47F1FF9-ADA4-3384-B2E9-781322B6810D> /System/Library/Extensions/AppleIntelKBLGraphicsGLDriver.bundle/Contents/MacOS/AppleIntelKBLGraphicsGLDriver
0x7fff304db000 -     0x7fff3080cfff  com.apple.driver.AppleIntelKBLGraphicsMTLDriver (12.8.38 - 12.0.8) <BDF58AB2-C649-31D8-A13F-76F6E50DF3DA> /System/Library/Extensions/AppleIntelKBLGraphicsMTLDriver.bundle/Contents/MacOS/AppleIntelKBLGraphicsMTLDriver
0x7fff32f6e000 -     0x7fff33148ff7  com.apple.avfoundation (2.0 - 1546.25) <744B1F04-5F34-39F4-A594-34518CEA2421> /System/Library/Frameworks/AVFoundation.framework/Versions/A/AVFoundation
0x7fff33149000 -     0x7fff3320efff  com.apple.audio.AVFAudio (1.0 - ???) <7F3AA3FD-9F0B-3714-8F05-7272CEC9E33B> /System/Library/Frameworks/AVFoundation.framework/Versions/A/Frameworks/AVFAudio.framework/Versions/A/AVFAudio
0x7fff33316000 -     0x7fff33316fff  com.apple.Accelerate (1.11 - Accelerate 1.11) <762942CB-CFC9-3A0C-9645-A56523A06426> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x7fff33317000 -     0x7fff3332dff7  libCGInterfaces.dylib (506.22) <A3CDEEC3-42B0-3C6E-9CCE-465C472609CD> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib
0x7fff3332e000 -     0x7fff339c7fef  com.apple.vImage (8.1 - ???) <F9C4B95C-7BE9-30A4-98D4-FD9996EE5E81> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x7fff339c8000 -     0x7fff33c41ff3  libBLAS.dylib (1243.200.4) <F2B8340C-4147-3EE4-9BDF-1C259F9CB76E> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x7fff33c42000 -     0x7fff33cb4ffb  libBNNS.dylib (38.250.1) <95A91B57-17B8-389F-B324-3AD42BBEA3E6> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
0x7fff33cb5000 -     0x7fff3405eff3  libLAPACK.dylib (1243.200.4) <92175DF4-863A-3780-909A-A3E5C410F2E9> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x7fff3405f000 -     0x7fff34074feb  libLinearAlgebra.dylib (1243.200.4) <BD6B8E28-C982-3002-868C-C96A18175030> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
0x7fff34075000 -     0x7fff3407aff3  libQuadrature.dylib (3.200.2) <354D7970-0570-32E0-ABAE-222DAAF1F7A9> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
0x7fff3407b000 -     0x7fff340f7ff3  libSparse.dylib (79.200.5) <DCC01AE4-FC16-3C7B-9010-999411448164> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparse.dylib
0x7fff340f8000 -     0x7fff3410bfe3  libSparseBLAS.dylib (1243.200.4) <95B6FFFD-CDD5-3ABB-B862-6A86720DCD77> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
0x7fff3410c000 -     0x7fff342f3ff7  libvDSP.dylib (671.250.4) <7B110627-A9C1-3FB7-A077-0C7741BA25D8> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x7fff342f4000 -     0x7fff343a7ff7  libvMisc.dylib (671.250.4) <41FB4684-9DC8-3C19-8E2D-3BB7E6F74AAA> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x7fff343a8000 -     0x7fff343a8fff  com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <74288115-EF61-30B6-843F-0593B31D4929> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x7fff3454a000 -     0x7fff352fffff  com.apple.AppKit (6.9 - 1671.40.119) <0A857684-99C7-30A9-8E23-D3015C6B24A3> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x7fff35351000 -     0x7fff35351fff  com.apple.ApplicationServices (50.1 - 50.1) <E57E6BAC-3CA7-3EFB-9A6B-ACF662E07FAC> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x7fff35352000 -     0x7fff353bdfff  com.apple.ApplicationServices.ATS (377 - 453.11.2.2) <5B30E86D-B3AB-3346-A19F-F2CABF342465> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x7fff35456000 -     0x7fff3556dfff  libFontParser.dylib (228.6.2.3) <BBB2EECE-7C24-3D43-A902-EB473A70EDED> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
0x7fff3556e000 -     0x7fff355b0fff  libFontRegistry.dylib (228.12.2.3) <DEA7AE34-2FA6-336E-BF00-00CA2BDC7584> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
0x7fff3560a000 -     0x7fff3563cfff  libTrueTypeScaler.dylib (228.6.2.3) <8F2DA883-4A0E-389A-AB1D-C66FAA3B8E7C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
0x7fff356a1000 -     0x7fff356a5ff3  com.apple.ColorSyncLegacy (4.13.0 - 1) <6EDD928D-BC75-385E-AB04-3CB63EAEBF96> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSyncLegacy.framework/Versions/A/ColorSyncLegacy
0x7fff35740000 -     0x7fff35792ff7  com.apple.HIServices (1.22 - 627.15) <1B4C3D08-1DBA-365B-9362-C6708D8844AA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x7fff35793000 -     0x7fff357a2fff  com.apple.LangAnalysis (1.7.0 - 1.7.0) <76B698A9-18B9-3089-9570-4FC3F754D56D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x7fff357a3000 -     0x7fff357ecff7  com.apple.print.framework.PrintCore (14.2 - 503.8) <885645E0-D760-35EC-B506-7FC2763390DF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x7fff357ed000 -     0x7fff35826ff7  com.apple.QD (3.12 - 407.2) <A414332F-72EC-393B-B2BC-7285268A19BD> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x7fff35827000 -     0x7fff35833fff  com.apple.speech.synthesis.framework (8.1.2 - 8.1.2) <1F910DC7-410A-391B-A03D-17605E50B688> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x7fff35834000 -     0x7fff35aabff7  com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) <1C76AD80-1106-312E-B2C0-126A8D62F192> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x7fff35aad000 -     0x7fff35aadfff  com.apple.audio.units.AudioUnit (1.14 - 1.14) <6AFA15D5-1886-3EBF-ADC9-90421375DB30> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x7fff35e05000 -     0x7fff361a6fff  com.apple.CFNetwork (978.0.7 - 978.0.7) <EFB91439-6953-3CD4-8A14-3E7DC90DDF7E> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x7fff361bb000 -     0x7fff361bbfff  com.apple.Carbon (158 - 158) <080ECFD9-9C4B-3038-9F4B-BE111473E1DE> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x7fff361bc000 -     0x7fff361bfffb  com.apple.CommonPanels (1.2.6 - 98) <D56205C5-F466-3B28-9FE3-5B5E1F1ECEF3> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x7fff361c0000 -     0x7fff364b6fff  com.apple.HIToolbox (2.1.1 - 918.4) <CBD6613A-C5A5-3CF3-866A-B8A8C6FD64B5> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x7fff364b7000 -     0x7fff364baff3  com.apple.help (1.3.8 - 66) <80B6EAF2-4745-3C04-AC10-4FC3EB08CB8D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x7fff364bb000 -     0x7fff364c0ff7  com.apple.ImageCapture (9.0 - 1534.2) <B02BE202-793D-3609-8E60-694A39D75CD0> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x7fff364c1000 -     0x7fff36556ff3  com.apple.ink.framework (10.9 - 225) <091165EE-D540-3978-9B0C-2FAB5CB185A8> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x7fff36557000 -     0x7fff3656fff7  com.apple.openscripting (1.7 - 179.1) <ED25E087-6A14-32E3-9344-3907541ED9A1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x7fff3658f000 -     0x7fff36590ff7  com.apple.print.framework.Print (14.2 - 267.4) <3E310F68-2BC7-365B-B36C-AAC243C7FFC4> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x7fff36591000 -     0x7fff36593ff7  com.apple.securityhi (9.0 - 55006) <9A3E5426-CAC6-3B28-A3B7-C97A1B5CE9BC> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x7fff36594000 -     0x7fff3659aff7  com.apple.speech.recognition.framework (6.0.3 - 6.0.3) <E38A62C5-31EE-3BE7-83E5-CF126ECF4F51> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x7fff366bc000 -     0x7fff366bcfff  com.apple.Cocoa (6.11 - 23) <C487E1FC-D79C-32B4-950E-68F3060A125E> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x7fff366ca000 -     0x7fff36796ff7  com.apple.ColorSync (4.13.0 - 3340.7) <3ABFA780-F46A-3F0A-8504-005ADDA0662E> /System/Library/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x7fff36922000 -     0x7fff369a8fff  com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <7D8A5C9A-3F58-38C2-A1DC-20765150C742> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x7fff36a0c000 -     0x7fff36a36ffb  com.apple.CoreBluetooth (1.0 - 1) <D0C72748-F75A-3C27-9620-C7973C4D365D> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
0x7fff36a37000 -     0x7fff36dbbfe3  com.apple.CoreData (120 - 866.5) <7A8DBE88-C7D4-39B4-87E6-508DA68BDAA8> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x7fff36dbc000 -     0x7fff36ea3ff7  com.apple.CoreDisplay (101.3 - 108.11) <373AC375-0178-3721-8FFB-248D96E6AB05> /System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
0x7fff36ea4000 -     0x7fff372e7fff  com.apple.CoreFoundation (6.9 - 1570.16) <F3DFF269-6705-35AD-9F01-66D77DD1B518> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x7fff372e9000 -     0x7fff37978fe7  com.apple.CoreGraphics (2.0 - 1251.12) <58D98B52-5BEF-3345-B8DD-AAE476234FC1> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x7fff3797a000 -     0x7fff37c9afff  com.apple.CoreImage (14.2.0 - 720.0.130) <D09743D4-3B21-367D-8C4A-3DB0F1C1E36D> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
0x7fff37d6d000 -     0x7fff37f96fff  com.apple.CoreML (1.0 - 1) <D30944E3-D088-3E6F-80BB-D42EA81083F5> /System/Library/Frameworks/CoreML.framework/Versions/A/CoreML
0x7fff37f97000 -     0x7fff38098fff  com.apple.CoreMedia (1.0 - 2286.48) <A521E22D-60AC-3048-8829-E430F6304B45> /System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
0x7fff38099000 -     0x7fff380f4ff7  com.apple.CoreMediaIO (900.0 - 5025) <CA95EEF2-4A75-34FA-87D9-4A1A69555CFF> /System/Library/Frameworks/CoreMediaIO.framework/Versions/A/CoreMediaIO
0x7fff380f5000 -     0x7fff380f5fff  com.apple.CoreServices (944.3 - 944.3) <364A9C3B-6841-3E34-A02A-8227FB5C9030> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x7fff380f6000 -     0x7fff38172ff7  com.apple.AE (773 - 773) <3E32B3FF-0A2E-39F6-BBE0-F2E9607AB83A> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x7fff38173000 -     0x7fff3844afff  com.apple.CoreServices.CarbonCore (1178.32 - 1178.32) <B5B61DE0-93F8-3A9F-8AA6-ACAAD04B3547> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x7fff3844b000 -     0x7fff38493ff7  com.apple.DictionaryServices (1.2 - 284.16.3) <3EE59BD1-FCDD-3DE2-A7D6-6C503564E1AC> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x7fff38494000 -     0x7fff3849cffb  com.apple.CoreServices.FSEvents (1239.200.12 - 1239.200.12) <727151AB-D38F-39B8-B7B3-F0039DBD45D0> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
0x7fff3849d000 -     0x7fff3864ffff  com.apple.LaunchServices (944.3 - 944.3) <7BB5AEC5-A509-3188-9884-619E0DF8EED6> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x7fff38650000 -     0x7fff386eeff7  com.apple.Metadata (10.7.0 - 1191.56) <8DD9AC75-7D3E-3607-BEA0-556E98C30765> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x7fff386ef000 -     0x7fff38739ff7  com.apple.CoreServices.OSServices (944.3 - 944.3) <B631283D-9B71-3BF0-B0E7-65F8D444179F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x7fff3873a000 -     0x7fff387a1ff7  com.apple.SearchKit (1.4.0 - 1.4.0) <FB1A5F99-FB2F-3533-9658-EB0C82BA2705> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x7fff387a2000 -     0x7fff387c3ff3  com.apple.coreservices.SharedFileList (71.28 - 71.28) <B8B5D959-4236-369D-847D-E696A8293420> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
0x7fff38ace000 -     0x7fff38c30ff3  com.apple.CoreText (352.0 - 584.26.2.7) <C7E919A8-5840-39C9-A9E7-0E686F486109> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
0x7fff38c31000 -     0x7fff38c6eff3  com.apple.CoreVideo (1.8 - 0.0) <0376A7EC-8C71-3F26-9599-4CA7AB7924EA> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x7fff38c6f000 -     0x7fff38cfdffb  com.apple.framework.CoreWLAN (13.0 - 1370.8) <68770CCD-9C7F-31AB-8BBB-0DE4577D5F61> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
0x7fff38e80000 -     0x7fff38f2efff  com.apple.DiscRecording (9.0.3 - 9030.4.5) <FE0C27DF-5E03-3C3C-A6C6-73010390E805> /System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording
0x7fff38f54000 -     0x7fff38f59ffb  com.apple.DiskArbitration (2.7 - 2.7) <F30DF62A-0BE9-371D-8D86-96554FF45811> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x7fff39115000 -     0x7fff39117ff3  com.apple.ForceFeedback (1.0.6 - 1.0.6) <EB563555-BF29-3217-92F7-625333EB5083> /System/Library/Frameworks/ForceFeedback.framework/Versions/A/ForceFeedback
0x7fff39118000 -     0x7fff394c5ff3  com.apple.Foundation (6.9 - 1570.16) <84055403-9921-3EFC-B593-8F0600EBEE80> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x7fff39534000 -     0x7fff39563ffb  com.apple.GSS (4.0 - 2.0) <F5E9FADD-D2DF-3A27-A08B-C74C9F7DB98D> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
0x7fff39663000 -     0x7fff3976bff7  com.apple.Bluetooth (6.0.11 - 6.0.11f4) <D695F37C-27CE-3231-8136-49124F367418> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
0x7fff397cd000 -     0x7fff3985cfff  com.apple.framework.IOKit (2.0.2 - 1483.250.15) <1170EC49-1912-3657-9C71-991653959191> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x7fff3985e000 -     0x7fff3986dff3  com.apple.IOSurface (255.4.2 - 255.4.2) <9025E034-7D75-36E3-B71B-96E91FAE109B> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
0x7fff3986e000 -     0x7fff398c0ff3  com.apple.ImageCaptureCore (1.0 - 1534.2) <59655185-CDD6-3F8F-A655-C274BDD1C9E9> /System/Library/Frameworks/ImageCaptureCore.framework/Versions/A/ImageCaptureCore
0x7fff398c1000 -     0x7fff39a4cfef  com.apple.ImageIO.framework (3.3.0 - 1824.6) <81BA6C12-123A-3FD8-9E88-0698100471A6> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x7fff39a4d000 -     0x7fff39a51ffb  libGIF.dylib (1824.6) <4B7B283B-84C8-38D1-BED4-B507C3EF6E7E> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x7fff39a52000 -     0x7fff39b2efef  libJP2.dylib (1824.6) <E2161CB0-E1B7-351D-9FF3-4CF68A538976> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x7fff39b2f000 -     0x7fff39b54feb  libJPEG.dylib (1824.6) <0968BAF1-5E5A-3AA0-A971-3B3FFC4A4B66> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x7fff39e17000 -     0x7fff39e3dfeb  libPng.dylib (1824.6) <661821A6-4BF5-31C6-AFDB-7874A446756C> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x7fff39e3e000 -     0x7fff39e40ffb  libRadiance.dylib (1824.6) <0154D539-DF89-3F75-A8F1-92EF147422AF> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x7fff39e41000 -     0x7fff39e8efe7  libTIFF.dylib (1824.6) <D608EAA9-4159-347E-A449-0A8CAB85DC02> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x7fff3a189000 -     0x7fff3afecfff  com.apple.JavaScriptCore (14607 - 14607.1.40.1.4) <D4D58ED1-1325-3FA0-AD7B-7C944D36D35B> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x7fff3b004000 -     0x7fff3b01dfff  com.apple.Kerberos (3.0 - 1) <39F3F99E-036E-3406-80D9-8A845D820D4D> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x7fff3b2d6000 -     0x7fff3b2e0fff  com.apple.MediaAccessibility (1.0 - 114.4) <FD877F9B-6CAF-3BCD-8D74-5F25D61CB78C> /System/Library/Frameworks/MediaAccessibility.framework/Versions/A/MediaAccessibility
0x7fff3b38f000 -     0x7fff3ba2ffff  com.apple.MediaToolbox (1.0 - 2286.48) <D6125E51-598A-3A1E-9C75-4BDC5AC03F55> /System/Library/Frameworks/MediaToolbox.framework/Versions/A/MediaToolbox
0x7fff3ba31000 -     0x7fff3bac0ff7  com.apple.Metal (161.7.1 - 161.7.1) <18BEB663-0D31-3255-9710-50BC5C3D2A0F> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
0x7fff3bac2000 -     0x7fff3badbff3  com.apple.MetalKit (1.0 - 113) <6EE8B7C8-A088-3CFF-A570-E0D5C0D5EFAC> /System/Library/Frameworks/MetalKit.framework/Versions/A/MetalKit
0x7fff3badc000 -     0x7fff3bafbff7  com.apple.MetalPerformanceShaders.MPSCore (1.0 - 1) <BE0FF8B9-2DBA-3276-A293-C8B0F62BFFC4> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSCore.framework/Versions/A/MPSCore
0x7fff3bafc000 -     0x7fff3bb78fe7  com.apple.MetalPerformanceShaders.MPSImage (1.0 - 1) <7E94924C-1648-3AE2-A32E-FC0AFCA433C6> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSImage.framework/Versions/A/MPSImage
0x7fff3bb79000 -     0x7fff3bba0fff  com.apple.MetalPerformanceShaders.MPSMatrix (1.0 - 1) <E878F04A-43F8-3AA4-B9D8-0401F5F98653> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSMatrix.framework/Versions/A/MPSMatrix
0x7fff3bba1000 -     0x7fff3bcccff7  com.apple.MetalPerformanceShaders.MPSNeuralNetwork (1.0 - 1) <4866922C-9732-3FCE-9419-402E5DD22639> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSNeuralNetwork.framework/Versions/A/MPSNeuralNetwork
0x7fff3bccd000 -     0x7fff3bce7fff  com.apple.MetalPerformanceShaders.MPSRayIntersector (1.0 - 1) <80CB3AF2-4401-3B3C-8941-7DEB648DD001> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSRayIntersector.framework/Versions/A/MPSRayIntersector
0x7fff3bce8000 -     0x7fff3bce9ff7  com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) <A589BBEA-93C6-325C-A695-6E7371B8477C> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders
0x7fff3cae0000 -     0x7fff3caecff7  com.apple.NetFS (6.0 - 4.0) <7278E8E5-1583-3964-91DA-FB2127DFD63A> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
0x7fff3ce4f000 -     0x7fff3ce72ff7  com.apple.audio.OpenAL (1.8 - 1.8) <40424F90-697F-3C1F-B05C-34EB731F4015> /System/Library/Frameworks/OpenAL.framework/Versions/A/OpenAL
0x7fff3f581000 -     0x7fff3f589fe3  libcldcpuengine.dylib (2.11) <49B139D2-D0D6-3333-9603-DF158D61544C> /System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpuengine.dylib
0x7fff3f58a000 -     0x7fff3f5e1ff7  com.apple.opencl (2.15.3 - 2.15.3) <F558A6A7-3B33-320E-83C0-CF16220A150F> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
0x7fff3f5e2000 -     0x7fff3f5fdff7  com.apple.CFOpenDirectory (10.14 - 207.200.4) <386A02AB-0BFA-3847-A56A-2E0EEC5E5D33> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
0x7fff3f5fe000 -     0x7fff3f609ffb  com.apple.OpenDirectory (10.14 - 207.200.4) <0BD19D17-7F00-3D56-8734-2EE52992B118> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
0x7fff3ff59000 -     0x7fff3ff5bfff  libCVMSPluginSupport.dylib (17.5.4) <36EB7FAE-4E66-36BF-9B39-623B19486B3B> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
0x7fff3ff5c000 -     0x7fff3ff61ff3  libCoreFSCache.dylib (166.2) <1AD45004-2625-3351-8087-77878B95348F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
0x7fff3ff62000 -     0x7fff3ff66fff  libCoreVMClient.dylib (166.2) <E7FBDAEF-BC56-3662-8D59-71FF88D95F8C> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
0x7fff3ff67000 -     0x7fff3ff6fff7  libGFXShared.dylib (17.5.4) <E3B4FD28-FF4B-3174-AEB3-9EA12EF88100> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
0x7fff3ff70000 -     0x7fff3ff7bfff  libGL.dylib (17.5.4) <F6D39828-B5D0-3F8D-8DE0-3683A17042E2> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x7fff3ff7c000 -     0x7fff3ffb6fe7  libGLImage.dylib (17.5.4) <7EE3273C-41C2-387F-A4B7-793EFAA67769> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x7fff3ffb7000 -     0x7fff40129ff7  libGLProgrammability.dylib (17.5.4) <A7E6B75B-8FF8-3389-AD69-38DB11B7C3F4> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x7fff4012a000 -     0x7fff40168fff  libGLU.dylib (17.5.4) <B56C2FEC-CB14-3B61-ADEB-FD4A92931F16> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x7fff40b05000 -     0x7fff40b14ffb  com.apple.opengl (17.5.4 - 17.5.4) <34FA5E8C-0FAF-3708-836B-E8ACB67EF4F4> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x7fff40b15000 -     0x7fff40caaff7  GLEngine (17.5.4) <F008AD68-59DF-337B-BE0D-4117BFFCC3E8> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLEngine.bundle/GLEngine
0x7fff40cab000 -     0x7fff40cd4ff3  GLRendererFloat (17.5.4) <6E85E322-0E3D-3687-BE1D-B8D74971D5B9> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat
0x7fff40e8f000 -     0x7fff40fd8ff7  com.apple.QTKit (7.7.3 - 3039) <64E46C0B-C0B2-3255-9278-7FA90752B474> /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
0x7fff40fd9000 -     0x7fff4122dfff  com.apple.imageKit (3.0 - 1067) <42C1AB59-562B-3966-82A6-8380A6CD03C6> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
0x7fff4122e000 -     0x7fff4131affb  com.apple.PDFKit (1.0 - 741.11) <6431D029-59E3-3C2A-90C0-FD1355316F09> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
0x7fff4131b000 -     0x7fff417eaff7  com.apple.QuartzComposer (5.1 - 370) <1F431ABC-16D3-3C0C-A027-5B83D1EC160D> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
0x7fff417eb000 -     0x7fff41811ff7  com.apple.quartzfilters (1.10.0 - 83.1) <0A29F81A-20DD-36A1-B61A-93B677220B84> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
0x7fff41812000 -     0x7fff41913ff7  com.apple.QuickLookUIFramework (5.0 - 775.5) <2AF16EB8-E39D-3144-A92B-932894734962> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUI.framework/Versions/A/QuickLookUI
0x7fff41914000 -     0x7fff41914fff  com.apple.quartzframework (1.5 - 23) <30D153F2-A275-320E-B3CC-2A47FFEB5920> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
0x7fff41915000 -     0x7fff41b6afff  com.apple.QuartzCore (1.11 - 697.24.4.2) <BB1034F0-B791-3AF1-B166-6532B2AB54FE> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x7fff41b6b000 -     0x7fff41bc2fff  com.apple.QuickLookFramework (5.0 - 775.5) <3B6CF250-5DB7-36A0-9E57-33734DD66148> /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
0x7fff41d89000 -     0x7fff41da0ff7  com.apple.SafariServices.framework (14607 - 14607.1.40.1.4) <1D4D4939-DC6A-367C-A019-02294E13BA48> /System/Library/Frameworks/SafariServices.framework/Versions/A/SafariServices
0x7fff4239e000 -     0x7fff4269cff7  com.apple.security (7.0 - 58286.251.4) <2084C515-AD64-3A48-BE3E-811CAA5A0E41> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x7fff4269d000 -     0x7fff42729fff  com.apple.securityfoundation (6.0 - 55185.251.1) <4A36D3BA-02B5-3C52-8B49-08EC290E1924> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x7fff4275b000 -     0x7fff4275fff3  com.apple.xpc.ServiceManagement (1.0 - 1) <139D85D7-C356-36FA-B8F4-696FD37FD1EA> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
0x7fff42af7000 -     0x7fff42b64fff  com.apple.SystemConfiguration (1.17 - 1.17) <90F4626B-F9F6-377C-AA62-B8C23E857244> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x7fff42dba000 -     0x7fff43116ff7  com.apple.VideoToolbox (1.0 - 2286.48) <94A89B19-17C5-3085-8179-E832730B51C6> /System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox
0x7fff45f79000 -     0x7fff4601efe7  com.apple.APFS (1.0 - 1) <BA5A03A1-09AF-3859-AA38-BD24C4225E23> /System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS
0x7fff46a1e000 -     0x7fff46a1fff7  com.apple.AggregateDictionary (1.0 - 1) <49B5FD7F-A50C-3D67-BFAB-1C25E60F685A> /System/Library/PrivateFrameworks/AggregateDictionary.framework/Versions/A/AggregateDictionary
0x7fff46dd6000 -     0x7fff46f19fff  com.apple.AnnotationKit (1.0 - 232.3.30) <83E8D694-3564-389A-AADB-37AD6C91EC9B> /System/Library/PrivateFrameworks/AnnotationKit.framework/Versions/A/AnnotationKit
0x7fff47019000 -     0x7fff47045ff7  com.apple.framework.Apple80211 (13.0 - 1376.3) <9D32EF36-80E0-35DA-9270-2865C91F1020> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
0x7fff4731d000 -     0x7fff4732cfc7  com.apple.AppleFSCompression (96.200.3 - 1.0) <5D6A617C-999A-3D51-8350-109D55E9428A> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
0x7fff47426000 -     0x7fff47431fff  com.apple.AppleIDAuthSupport (1.0 - 1) <91975ABC-B2EB-3630-A81E-69A1B95E4D19> /System/Library/PrivateFrameworks/AppleIDAuthSupport.framework/Versions/A/AppleIDAuthSupport
0x7fff47472000 -     0x7fff474bbff3  com.apple.AppleJPEG (1.0 - 1) <EED8C42F-AF5B-355F-BC86-66A6458513C7> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
0x7fff4770f000 -     0x7fff47731fff  com.apple.applesauce (1.0 - ???) <48562D0B-1A1D-3D62-8BC2-61C55D0DCECE> /System/Library/PrivateFrameworks/AppleSauce.framework/Versions/A/AppleSauce
0x7fff477f1000 -     0x7fff477f4ff7  com.apple.AppleSystemInfo (3.1.5 - 3.1.5) <38206770-87AF-3969-A393-2741BF0DC958> /System/Library/PrivateFrameworks/AppleSystemInfo.framework/Versions/A/AppleSystemInfo
0x7fff477f5000 -     0x7fff47845ff7  com.apple.AppleVAFramework (5.1.4 - 5.1.4) <30C1F5C1-0742-3863-95F1-FCE51DF97E2D> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
0x7fff47890000 -     0x7fff478a4ffb  com.apple.AssertionServices (1.0 - 1) <F64A3177-294E-320C-A0E1-25C4322B98E9> /System/Library/PrivateFrameworks/AssertionServices.framework/Versions/A/AssertionServices
0x7fff47c6f000 -     0x7fff47f0cff7  com.apple.AuthKit (1.0 - 1) <5BC0D7C7-A46A-3B1A-BDC9-7E9150B5A876> /System/Library/PrivateFrameworks/AuthKit.framework/Versions/A/AuthKit
0x7fff480ce000 -     0x7fff480d6fff  com.apple.coreservices.BackgroundTaskManagement (1.0 - 57.1) <7F48D9BD-17A8-3A76-8828-EC49245735EE> /System/Library/PrivateFrameworks/BackgroundTaskManagement.framework/Versions/A/BackgroundTaskManagement
0x7fff480d7000 -     0x7fff4816cfff  com.apple.backup.framework (1.10.4 - ???) <8247B1BE-DF97-31DC-BCC2-1A15797352D3> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x7fff4816d000 -     0x7fff481dafff  com.apple.BaseBoard (360.27 - 360.27) <215A242E-BD57-3A4B-BCA4-FCC9D674CE7B> /System/Library/PrivateFrameworks/BaseBoard.framework/Versions/A/BaseBoard
0x7fff481e3000 -     0x7fff481e9fff  com.apple.BezelServicesFW (317 - 317) <0C78843F-B503-372D-BA43-9A437E88D760> /System/Library/PrivateFrameworks/BezelServices.framework/Versions/A/BezelServices
0x7fff49038000 -     0x7fff49087ff7  com.apple.ChunkingLibrary (201 - 201) <08B75C80-CAA3-3128-BE6C-A1FA3A52A79B> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
0x7fff49e3f000 -     0x7fff49e48ffb  com.apple.CommonAuth (4.0 - 2.0) <55CEF8E6-A659-3D68-BEE0-1236F36E494C> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
0x7fff4a2e1000 -     0x7fff4a6c4fef  com.apple.CoreAUC (274.0.0 - 274.0.0) <C78A44FB-53CD-324C-B363-9425B5269F7D> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
0x7fff4a6c5000 -     0x7fff4a6f3ff7  com.apple.CoreAVCHD (6.0.0 - 6000.4.1) <C7A64576-B082-323A-AC02-E890C6DDF181> /System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD
0x7fff4a789000 -     0x7fff4a7e4ff3  com.apple.corebrightness (1.0 - 1) <BB3CA5C7-75AB-3B22-BB78-6F10935688AB> /System/Library/PrivateFrameworks/CoreBrightness.framework/Versions/A/CoreBrightness
0x7fff4ab1e000 -     0x7fff4ab2fff7  com.apple.CoreEmoji (1.0 - 69.19.9) <90ACD3F0-1542-3094-A1F6-FF2F508A8561> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
0x7fff4acd7000 -     0x7fff4adc6fff  com.apple.CoreHandwriting (161 - 1.2) <7E01C62F-F8C2-3F21-B1E2-A048CF6FFC16> /System/Library/PrivateFrameworks/CoreHandwriting.framework/Versions/A/CoreHandwriting
0x7fff4af98000 -     0x7fff4afaeffb  com.apple.CoreMediaAuthoring (2.2 - 958) <4C69C07C-73D1-3E5A-A8E1-3C5856A65D9A> /System/Library/PrivateFrameworks/CoreMediaAuthoring.framework/Versions/A/CoreMediaAuthoring
0x7fff4b0d8000 -     0x7fff4b13eff7  com.apple.CoreNLP (1.0 - 130.15.22) <5191A681-5DF3-359A-B401-C29109EA420A> /System/Library/PrivateFrameworks/CoreNLP.framework/Versions/A/CoreNLP
0x7fff4b2aa000 -     0x7fff4b336fff  com.apple.CorePDF (4.0 - 414) <D87D2FD6-871F-3EC6-BB19-9719A37E3B27> /System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF
0x7fff4b3eb000 -     0x7fff4b3f3ff7  com.apple.CorePhoneNumbers (1.0 - 1) <01CAC5E2-B6B1-3444-8939-595A9301399C> /System/Library/PrivateFrameworks/CorePhoneNumbers.framework/Versions/A/CorePhoneNumbers
0x7fff4b56f000 -     0x7fff4b5a0ff3  com.apple.CoreServicesInternal (358 - 358) <7DD35528-033B-3B59-AAF2-5BFAF449D915> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
0x7fff4b966000 -     0x7fff4b9eafff  com.apple.CoreSymbolication (10.2 - 64490.25.1) <CBA82F08-26CC-3FB4-9539-B0B55B35C5E1> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
0x7fff4ba79000 -     0x7fff4bba4ff7  com.apple.coreui (2.1 - 499.10) <50A90628-5400-3EBC-A1FE-87D68BC59377> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x7fff4bba5000 -     0x7fff4bd41ffb  com.apple.CoreUtils (5.7.6 - 576.49) <60FF6102-EEBB-302E-8DE4-6DCBB689ACC8> /System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils
0x7fff4bd95000 -     0x7fff4bdf8ff7  com.apple.framework.CoreWiFi (13.0 - 1370.8) <F8634D22-1AD4-36B0-848C-BA60CC88BDAE> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
0x7fff4bdf9000 -     0x7fff4be0aff7  com.apple.CrashReporterSupport (10.13 - 938.25) <AB842AE0-8594-3530-ABB7-30E583F82FC5> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x7fff4be99000 -     0x7fff4bea8fff  com.apple.framework.DFRFoundation (1.0 - 211.1) <201CCA68-44E4-3E09-8604-7D8833AC803B> /System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFoundation
0x7fff4bea9000 -     0x7fff4beadfff  com.apple.DSExternalDisplay (3.1 - 380) <6AC4F805-7AAF-31D3-B614-C78B61907EE3> /System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/DSExternalDisplay
0x7fff4bf2e000 -     0x7fff4bfa3ff3  com.apple.datadetectorscore (7.0 - 590.24) <2A591F27-0FEE-3CE1-B6C3-7A3B56C9D18D> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
0x7fff4bfef000 -     0x7fff4c02cff7  com.apple.DebugSymbols (190 - 190) <F2269F7B-5FCC-3187-8F13-A15F2C9D21E5> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
0x7fff4c02d000 -     0x7fff4c168fff  com.apple.desktopservices (1.13.1 - ???) <420CC09F-7C18-3644-A024-DA8997FECA02> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x7fff4c374000 -     0x7fff4c43afff  com.apple.DiskManagement (12.1 - 1555) <14459C59-D53A-3C24-94CC-D60CD1749FDB> /System/Library/PrivateFrameworks/DiskManagement.framework/Versions/A/DiskManagement
0x7fff4c43b000 -     0x7fff4c43fffb  com.apple.DisplayServicesFW (3.1 - 380) <B1F53D09-C299-31AA-962E-9A132ABB03B3> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
0x7fff4c4e4000 -     0x7fff4c4e7ff3  com.apple.EFILogin (2.0 - 2) <B25F3D52-70FC-3F71-8B77-E23D7514D8FF> /System/Library/PrivateFrameworks/EFILogin.framework/Versions/A/EFILogin
0x7fff4cc1d000 -     0x7fff4ceffff7  com.apple.vision.EspressoFramework (1.0 - 120) <606AFD0D-D2DF-335C-915D-87A862C46765> /System/Library/PrivateFrameworks/Espresso.framework/Versions/A/Espresso
0x7fff4d0a3000 -     0x7fff4d4befff  com.apple.vision.FaceCore (3.3.4 - 3.3.4) <D642D5E1-C7C5-3EBF-9D0A-397BDE2A5723> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
0x7fff50d72000 -     0x7fff50d73fff  libmetal_timestamp.dylib (902.3.2) <E4C0B5C2-AFAE-3DAD-8638-9D972E13F27C> /System/Library/PrivateFrameworks/GPUCompiler.framework/Versions/3902/Libraries/libmetal_timestamp.dylib
0x7fff52407000 -     0x7fff52412ff7  libGPUSupportMercury.dylib (17.5.4) <1B76D376-781A-3631-B00B-30EC27E5EDAC> /System/Library/PrivateFrameworks/GPUSupport.framework/Versions/A/Libraries/libGPUSupportMercury.dylib
0x7fff52413000 -     0x7fff52418fff  com.apple.GPUWrangler (3.30.14 - 3.30.14) <5D15F5B8-9D7B-356D-A224-A86CF809BFBF> /System/Library/PrivateFrameworks/GPUWrangler.framework/Versions/A/GPUWrangler
0x7fff527a5000 -     0x7fff527c9ff3  com.apple.GenerationalStorage (2.0 - 285.101) <E4F747EB-7D8B-39ED-B72E-C323C201B6E1> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
0x7fff5321d000 -     0x7fff5322cfff  com.apple.GraphVisualizer (1.0 - 5) <C261C18C-C66F-39BA-A640-727434ADBEB7> /System/Library/PrivateFrameworks/GraphVisualizer.framework/Versions/A/GraphVisualizer
0x7fff53379000 -     0x7fff533edffb  com.apple.Heimdal (4.0 - 2.0) <05B753FE-8F65-3764-8E18-F31902064BA1> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
0x7fff546d7000 -     0x7fff546deffb  com.apple.IOAccelerator (404.8 - 404.8) <FB11472D-74D7-31D4-8DF6-9A668BB08D4F> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
0x7fff546e2000 -     0x7fff546fafff  com.apple.IOPresentment (1.0 - 42.6) <B3365E07-6FC3-3AAA-884D-D6EE7ACDAE16> /System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment
0x7fff54aa2000 -     0x7fff54acfff7  com.apple.IconServices (379 - 379) <189807AC-4BB1-3C37-B6EC-D4F0B645902D> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
0x7fff54bf8000 -     0x7fff54bfcffb  com.apple.InternationalSupport (1.0 - 10.15.6) <ADB2A56E-5E99-312A-B3B0-E96B519E46B1> /System/Library/PrivateFrameworks/InternationalSupport.framework/Versions/A/InternationalSupport
0x7fff54d61000 -     0x7fff54d73ff3  com.apple.security.KeychainCircle.KeychainCircle (1.0 - 1) <731EEEC5-1613-3725-B33C-B38BBD55FA96> /System/Library/PrivateFrameworks/KeychainCircle.framework/Versions/A/KeychainCircle
0x7fff54d8e000 -     0x7fff54e69ff7  com.apple.LanguageModeling (1.0 - 159.15.15) <229A8E92-CCB6-3BC7-BCD3-B2309FA744B3> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
0x7fff54e6a000 -     0x7fff54ea6ff7  com.apple.Lexicon-framework (1.0 - 33.15.10) <30D3EEF3-31E5-3DE8-8158-40627C358AF6> /System/Library/PrivateFrameworks/Lexicon.framework/Versions/A/Lexicon
0x7fff54ead000 -     0x7fff54eb2fff  com.apple.LinguisticData (1.0 - 238.24.1) <E155D8DF-8AC1-34B2-B143-BBD3408C8D19> /System/Library/PrivateFrameworks/LinguisticData.framework/Versions/A/LinguisticData
0x7fff556cf000 -     0x7fff556d2fff  com.apple.Mangrove (1.0 - 25) <FF682E43-73CE-3E36-B4A9-8E69B546C7A4> /System/Library/PrivateFrameworks/Mangrove.framework/Versions/A/Mangrove
0x7fff55759000 -     0x7fff5577fff3  com.apple.MarkupUI (1.0 - 232.3.30) <BC364ADF-8725-37AE-B946-D8BB6260C044> /System/Library/PrivateFrameworks/MarkupUI.framework/Versions/A/MarkupUI
0x7fff557e7000 -     0x7fff5581aff7  com.apple.MediaKit (16 - 906) <D9B33C2A-706E-3A7C-90D1-D78EA4EFF871> /System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
0x7fff55ba1000 -     0x7fff55bc9ff7  com.apple.spotlight.metadata.utilities (1.0 - 1191.56) <550876F2-D905-3D65-8FA6-3366D857437B> /System/Library/PrivateFrameworks/MetadataUtilities.framework/Versions/A/MetadataUtilities
0x7fff55bca000 -     0x7fff55c54fff  com.apple.gpusw.MetalTools (1.0 - 1) <09394594-A80D-3D8B-99E8-E71693909FA1> /System/Library/PrivateFrameworks/MetalTools.framework/Versions/A/MetalTools
0x7fff55c69000 -     0x7fff55c82ffb  com.apple.MobileAssets (1.0 - 437.250.3) <95ACB386-7899-3661-BE5B-7E3133FE971B> /System/Library/PrivateFrameworks/MobileAsset.framework/Versions/A/MobileAsset
0x7fff55e00000 -     0x7fff55e1afff  com.apple.MobileKeyBag (2.0 - 1.0) <A38DB402-7EB2-3D81-A9FA-4C95748FFC2D> /System/Library/PrivateFrameworks/MobileKeyBag.framework/Versions/A/MobileKeyBag
0x7fff55e2c000 -     0x7fff55ea1fff  com.apple.Montreal (1.0 - 42.15.9) <84278E37-0BA4-32D2-BAA4-49D84831588D> /System/Library/PrivateFrameworks/Montreal.framework/Versions/A/Montreal
0x7fff55ea2000 -     0x7fff55eccffb  com.apple.MultitouchSupport.framework (2440.7 - 2440.7) <FAE48832-BB56-35C9-B433-F0D03EF50FCD> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
0x7fff56108000 -     0x7fff56112fff  com.apple.NetAuth (6.2 - 6.2) <216DF366-7A3E-39E7-896C-7CDFD2A9BD3D> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
0x7fff56973000 -     0x7fff569c4ff3  com.apple.OTSVG (1.0 - ???) <AF7D1285-08EE-3EEB-B8B7-6C358768473D> /System/Library/PrivateFrameworks/OTSVG.framework/Versions/A/OTSVG
0x7fff57984000 -     0x7fff57a77fff  com.apple.PencilKit (1.0 - 1) <EB69AD79-DB9B-30D8-9207-BDDBB34900D7> /System/Library/PrivateFrameworks/PencilKit.framework/Versions/A/PencilKit
0x7fff57a78000 -     0x7fff57a87ff7  com.apple.PerformanceAnalysis (1.218.2 - 218.2) <DAF9D379-F0E9-3929-829E-7B2FAFC7DC64> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
0x7fff598c2000 -     0x7fff59916ff7  com.apple.ProtectedCloudStorage (1.0 - 1) <7EEE25C8-2680-32E1-9B4F-F76684E92BE1> /System/Library/PrivateFrameworks/ProtectedCloudStorage.framework/Versions/A/ProtectedCloudStorage
0x7fff59917000 -     0x7fff59935ff7  com.apple.ProtocolBuffer (1 - 263) <DBBA73C9-E9AE-3CF5-88A4-7E4262BDE34E> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
0x7fff59ab3000 -     0x7fff59ab6ff3  com.apple.QuickLookNonBaseSystem (1.0 - 1) <8C160EB3-161F-3F35-9D10-C06403BC31F1> /System/Library/PrivateFrameworks/QuickLookNonBaseSystem.framework/Versions/A/QuickLookNonBaseSystem
0x7fff59ab7000 -     0x7fff59accff3  com.apple.QuickLookThumbnailing (1.0 - 1) <2A637CF5-E50A-3016-88CB-F03F32662886> /System/Library/PrivateFrameworks/QuickLookThumbnailing.framework/Versions/A/QuickLookThumbnailing
0x7fff59acd000 -     0x7fff59b1dfff  com.apple.ROCKit (27.6 - 27.6) <A8116AFC-F78F-32BF-A66C-ED3B5E9FF1D9> /System/Library/PrivateFrameworks/ROCKit.framework/Versions/A/ROCKit
0x7fff59c4c000 -     0x7fff59c57fff  com.apple.xpc.RemoteServiceDiscovery (1.0 - 1336.251.2) <937941A3-23E9-3DB4-B934-C8002EF1179D> /System/Library/PrivateFrameworks/RemoteServiceDiscovery.framework/Versions/A/RemoteServiceDiscovery
0x7fff59c6a000 -     0x7fff59c8cfff  com.apple.RemoteViewServices (2.0 - 128) <E22D4E74-7B87-31ED-86D2-D63258D1B792> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
0x7fff59c8d000 -     0x7fff59ca0ff3  com.apple.xpc.RemoteXPC (1.0 - 1336.251.2) <45A2C9B1-787E-3BF8-AFB8-375822FC6AF4> /System/Library/PrivateFrameworks/RemoteXPC.framework/Versions/A/RemoteXPC
0x7fff5b48b000 -     0x7fff5b5a5fff  com.apple.Sharing (1288.25 - 1288.25) <E4C2CE6D-757D-322F-AA8D-52A0993E02D6> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
0x7fff5c34d000 -     0x7fff5c5f6fff  com.apple.SkyLight (1.600.0 - 340.9) <A962D996-6561-3993-B470-EFD6EE4BFA9C> /System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
0x7fff5cd98000 -     0x7fff5cda4fff  com.apple.SpeechRecognitionCore (5.0.21 - 5.0.21) <08222836-F14B-3B9D-BCB9-3167505438E4> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
0x7fff5d443000 -     0x7fff5d47fff3  com.apple.StreamingZip (1.0 - 1) <E25346D8-9C5E-3AD3-9F77-44F8A4449234> /System/Library/PrivateFrameworks/StreamingZip.framework/Versions/A/StreamingZip
0x7fff5d4f5000 -     0x7fff5d580fc7  com.apple.Symbolication (10.2 - 64490.38.1) <15A1DF22-3EE2-359A-8F94-B27F89F35ECE> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
0x7fff5da57000 -     0x7fff5da62ff7  com.apple.private.SystemPolicy (1.0 - 1) <7E43EFF3-41AC-3AF2-A2FD-1AE013FF32E6> /System/Library/PrivateFrameworks/SystemPolicy.framework/Versions/A/SystemPolicy
0x7fff5da67000 -     0x7fff5da73ffb  com.apple.TCC (1.0 - 1) <95D4B7DF-78F3-3948-AA63-6425AF2C00CD> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
0x7fff5dcd9000 -     0x7fff5dda1ff3  com.apple.TextureIO (3.8.4 - 3.8.1) <29383676-6133-3EB4-8CAC-5A6F25FE2F4D> /System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO
0x7fff5de57000 -     0x7fff5de58fff  com.apple.TrustEvaluationAgent (2.0 - 31.200.1) <DDE0F972-B214-324D-BDA5-749E81CB642F> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
0x7fff5de5e000 -     0x7fff5e014ff7  com.apple.UIFoundation (1.0 - 551) <5359E30D-AF76-3013-8B50-0A93DB97BB8F> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
0x7fff5ec90000 -     0x7fff5ed69fff  com.apple.ViewBridge (401.1 - 401.1) <4DAA256D-F443-3484-AB8B-BFD939790E1D> /System/Library/PrivateFrameworks/ViewBridge.framework/Versions/A/ViewBridge
0x7fff5f540000 -     0x7fff5f543fff  com.apple.dt.XCTTargetBootstrap (1.0 - 14490.46.2) <7763C799-CE25-302D-96D7-2A4DD9BEEE9A> /System/Library/PrivateFrameworks/XCTTargetBootstrap.framework/Versions/A/XCTTargetBootstrap
0x7fff5f944000 -     0x7fff5f946ffb  com.apple.loginsupport (1.0 - 1) <F9C63D6B-5191-3D95-B5C7-B998FA148AA6> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
0x7fff5fc0d000 -     0x7fff5fc41fff  libCRFSuite.dylib (41.15.4) <43D02A64-2A7B-3825-8097-A6747AF914EE> /usr/lib/libCRFSuite.dylib
0x7fff5fc44000 -     0x7fff5fc4eff7  libChineseTokenizer.dylib (28.15.3) <BE41A678-907E-3031-B2BA-ECDB81282499> /usr/lib/libChineseTokenizer.dylib
0x7fff5fc4f000 -     0x7fff5fcd8fff  libCoreStorage.dylib (546.50.1) <1950AEDB-8782-39C9-9477-CB43ECB0EB38> /usr/lib/libCoreStorage.dylib
0x7fff5fcdc000 -     0x7fff5fcddffb  libDiagnosticMessagesClient.dylib (107) <B5675E8C-2F34-3E0A-B7E8-6F2373589038> /usr/lib/libDiagnosticMessagesClient.dylib
0x7fff5fd14000 -     0x7fff5ff6bffb  libFosl_dynamic.dylib (18.3.2) <C46C13F6-2799-39A0-BB32-126C2259194A> /usr/lib/libFosl_dynamic.dylib
0x7fff5ffbc000 -     0x7fff5ffdafff  libMobileGestalt.dylib (645.250.13) <6B4E26AD-D712-360B-904C-877C24D89393> /usr/lib/libMobileGestalt.dylib
0x7fff5ffdb000 -     0x7fff5ffdbfff  libOpenScriptingUtil.dylib (179.1) <5C6CFA80-CBCD-35EB-A69C-72C3B2E8FF50> /usr/lib/libOpenScriptingUtil.dylib
0x7fff6011b000 -     0x7fff6011cffb  libSystem.B.dylib (1252.250.1) <72841192-B0C9-36A0-8E55-ED651EADEF08> /usr/lib/libSystem.B.dylib
0x7fff60198000 -     0x7fff60199fff  libThaiTokenizer.dylib (2.15.1) <3D80A800-D49A-305E-9DF0-E6FB11D4FD65> /usr/lib/libThaiTokenizer.dylib
0x7fff601ab000 -     0x7fff601c1ffb  libapple_nghttp2.dylib (1.24.1) <96F6DF29-D31C-3097-9C3E-63B1D62D756C> /usr/lib/libapple_nghttp2.dylib
0x7fff601c2000 -     0x7fff601ebffb  libarchive.2.dylib (54.250.1) <D6370CDB-920D-37A3-A9C0-6C1FC95F2F99> /usr/lib/libarchive.2.dylib
0x7fff601ec000 -     0x7fff6026bfff  libate.dylib (1.13.8) <D4150381-557F-3E9D-9119-ED4F2A8878A1> /usr/lib/libate.dylib
0x7fff6026f000 -     0x7fff6026fff3  libauto.dylib (187) <4E260A46-13BB-3A8F-A037-D89748837B2A> /usr/lib/libauto.dylib
0x7fff6033f000 -     0x7fff6034fffb  libbsm.0.dylib (39.200.18) <CF0C09D6-FCED-3B48-A617-768A0B5B9DEB> /usr/lib/libbsm.0.dylib
0x7fff60350000 -     0x7fff6035dfff  libbz2.1.0.dylib (38.200.3) <62019AC3-20C9-3DDC-9C83-189C1F258073> /usr/lib/libbz2.1.0.dylib
0x7fff6035e000 -     0x7fff603b1ff7  libc++.1.dylib (400.9.4) <446DAE5E-4E97-3E4B-B2A3-AC0A74C0E453> /usr/lib/libc++.1.dylib
0x7fff603b2000 -     0x7fff603c7ff7  libc++abi.dylib (400.17) <A2D1FDAD-E10F-3E53-958F-CB6BC8485767> /usr/lib/libc++abi.dylib
0x7fff603c8000 -     0x7fff603c8ff3  libcharset.1.dylib (51.200.6) <0D3A5F4C-8800-33E3-AFE5-307E8BEE462C> /usr/lib/libcharset.1.dylib
0x7fff603c9000 -     0x7fff603d9ffb  libcmph.dylib (6.15.1) <740A788E-FD92-36F3-B678-E7D510B1E2A1> /usr/lib/libcmph.dylib
0x7fff603da000 -     0x7fff603f2ffb  libcompression.dylib (52.250.2) <9E125D43-CE4E-34F8-ACBA-C0835E5F8062> /usr/lib/libcompression.dylib
0x7fff60667000 -     0x7fff6067dfff  libcoretls.dylib (155.220.1) <FF7EA01E-9A26-36F9-A6FF-9665B501B536> /usr/lib/libcoretls.dylib
0x7fff6067e000 -     0x7fff6067fff3  libcoretls_cfhelpers.dylib (155.220.1) <51572EB9-D154-348B-9934-3CA9444FAE5E> /usr/lib/libcoretls_cfhelpers.dylib
0x7fff6081d000 -     0x7fff609acffb  libcrypto.35.dylib (22.250.1) <3C591DDE-3002-3E2D-9CB0-9F588053E703> /usr/lib/libcrypto.35.dylib
0x7fff60cde000 -     0x7fff60ce9ff7  libcsfde.dylib (546.50.1) <D8EFD854-C2D1-3FF8-A910-A9E602A5BB79> /usr/lib/libcsfde.dylib
0x7fff60cf1000 -     0x7fff60d47ff7  libcups.2.dylib (462.10) <83EF6851-07F6-35B4-AA80-690EF026C706> /usr/lib/libcups.2.dylib
0x7fff60e7b000 -     0x7fff60e7bfff  libenergytrace.dylib (17.200.1) <F0A35E72-B772-359B-81AC-0C94B8A621CA> /usr/lib/libenergytrace.dylib
0x7fff60ead000 -     0x7fff60eb2ff7  libgermantok.dylib (17.15.2) <A78E0BF5-0038-35C7-A8E7-05AEDF86D6D5> /usr/lib/libgermantok.dylib
0x7fff60eb3000 -     0x7fff60eb8ff7  libheimdal-asn1.dylib (520.250.1) <DE1C4650-FDFE-3A31-98AD-597B57C947E5> /usr/lib/libheimdal-asn1.dylib
0x7fff60ee3000 -     0x7fff60fd3fff  libiconv.2.dylib (51.200.6) <E767B418-3531-3BB0-B58D-9ECB203407B7> /usr/lib/libiconv.2.dylib
0x7fff60fd4000 -     0x7fff61234ff3  libicucore.A.dylib (62123.0.1) <3936C798-1978-3C6C-9050-3BBD57CDA53E> /usr/lib/libicucore.A.dylib
0x7fff61281000 -     0x7fff61282fff  liblangid.dylib (128.15.1) <1ED2EB78-3891-3DBA-8CB7-BA1A100CFC8F> /usr/lib/liblangid.dylib
0x7fff61283000 -     0x7fff6129bff3  liblzma.5.dylib (10.200.3) <E6CA9433-904B-3804-82FF-B328E2047368> /usr/lib/liblzma.5.dylib
0x7fff612b3000 -     0x7fff61357ff7  libmecab.1.0.0.dylib (779.24.1) <0C57BF6E-A713-3AE8-8AD3-80F65D4CCC15> /usr/lib/libmecab.1.0.0.dylib
0x7fff61358000 -     0x7fff6155cfff  libmecabra.dylib (779.24.1) <A658B79D-4071-3EC1-9344-ADA438E43FB4> /usr/lib/libmecabra.dylib
0x7fff61734000 -     0x7fff61a85ff7  libnetwork.dylib (1229.250.15) <D8F52B1D-1AD9-3D33-8D59-2D631A3CBFEC> /usr/lib/libnetwork.dylib
0x7fff61b15000 -     0x7fff6229afdf  libobjc.A.dylib (756.2) <4F86FC7C-496B-3E68-8A74-1EA2BA22FBCC> /usr/lib/libobjc.A.dylib
0x7fff622ac000 -     0x7fff622b0ffb  libpam.2.dylib (22.200.1) <3AEB13DB-8DE2-3FD9-97D5-D9DB206E0693> /usr/lib/libpam.2.dylib
0x7fff622b3000 -     0x7fff622e8fff  libpcap.A.dylib (79.250.1) <FA490ABF-6C15-336A-818F-0C14A8C090DB> /usr/lib/libpcap.A.dylib
0x7fff62401000 -     0x7fff62419ffb  libresolv.9.dylib (65.200.2) <DB6CA331-BB44-306D-8528-023EADE54BF7> /usr/lib/libresolv.9.dylib
0x7fff6246a000 -     0x7fff6246bff7  libspindump.dylib (267.3) <47B91C83-6BE6-3B0B-8B42-83AE41160F3F> /usr/lib/libspindump.dylib
0x7fff6246c000 -     0x7fff62649fe7  libsqlite3.dylib (274.22) <378D7B48-4661-3BA6-AC55-0B3A64F8C7E3> /usr/lib/libsqlite3.dylib
0x7fff628c9000 -     0x7fff628ccff7  libutil.dylib (51.200.4) <336F9184-A739-3770-ACFA-4659DFEEACC4> /usr/lib/libutil.dylib
0x7fff628cd000 -     0x7fff628dafff  libxar.1.dylib (417.1) <D7AC80EE-D974-33E6-ACA7-87B398ACEDD7> /usr/lib/libxar.1.dylib
0x7fff628df000 -     0x7fff629c1ff3  libxml2.2.dylib (32.8) <064C2F49-C054-38F9-A6B2-032C4AC9738B> /usr/lib/libxml2.2.dylib
0x7fff629c2000 -     0x7fff629eaff3  libxslt.1.dylib (16.1) <FB93A727-731D-313F-AF6B-4518FE830FFB> /usr/lib/libxslt.1.dylib
0x7fff629eb000 -     0x7fff629fdff7  libz.1.dylib (70.200.4) <FDF169F3-F992-3E8E-B3F7-D4134FEBAE41> /usr/lib/libz.1.dylib
0x7fff631da000 -     0x7fff631deff3  libcache.dylib (81) <9A8C27B0-49C9-337F-8BE2-37171ED2D8EE> /usr/lib/system/libcache.dylib
0x7fff631df000 -     0x7fff631e9ff3  libcommonCrypto.dylib (60118.250.2) <17C4F395-9FF0-331F-8167-5E85AA3588E9> /usr/lib/system/libcommonCrypto.dylib
0x7fff631ea000 -     0x7fff631f1ff7  libcompiler_rt.dylib (63.4) <8CB2B2B6-2C55-3733-9842-0E037AE3F46A> /usr/lib/system/libcompiler_rt.dylib
0x7fff631f2000 -     0x7fff631fbff7  libcopyfile.dylib (146.250.1) <24905E41-9E2F-3DD1-A255-5A17F9FCDAD7> /usr/lib/system/libcopyfile.dylib
0x7fff631fc000 -     0x7fff63280fc7  libcorecrypto.dylib (602.250.23) <3A6CBD41-AFFE-3E06-B1EC-3E95BC79BAC5> /usr/lib/system/libcorecrypto.dylib
0x7fff63307000 -     0x7fff63340ff7  libdispatch.dylib (1008.250.7) <50235FCE-B399-3319-90DC-88F530D4FC5C> /usr/lib/system/libdispatch.dylib
0x7fff63341000 -     0x7fff6336dff7  libdyld.dylib (655.1.1) <54C6B494-4A3D-3EEC-B083-636A76AAD649> /usr/lib/system/libdyld.dylib
0x7fff6336e000 -     0x7fff6336effb  libkeymgr.dylib (30) <BEA04E04-FCF1-3A70-810F-08D0FF54CA36> /usr/lib/system/libkeymgr.dylib
0x7fff6336f000 -     0x7fff6337bff3  libkxld.dylib (4903.251.3) <649F5829-6AA8-32EE-9A33-B1244378C319> /usr/lib/system/libkxld.dylib
0x7fff6337c000 -     0x7fff6337cff7  liblaunch.dylib (1336.251.2) <30E6424E-4640-3DBA-9B64-D5F725263C6E> /usr/lib/system/liblaunch.dylib
0x7fff6337d000 -     0x7fff63382fff  libmacho.dylib (927.0.2) <D8515A20-ED7B-3B13-9ADA-4BD7E19E38C4> /usr/lib/system/libmacho.dylib
0x7fff63383000 -     0x7fff63385ffb  libquarantine.dylib (86.220.1) <8A9BF971-DB7D-311A-B131-6C5025E82F8F> /usr/lib/system/libquarantine.dylib
0x7fff63386000 -     0x7fff63387ff7  libremovefile.dylib (45.200.2) <950036B7-B91E-3B5D-853C-8C551E5B6A32> /usr/lib/system/libremovefile.dylib
0x7fff63388000 -     0x7fff6339fff3  libsystem_asl.dylib (356.200.4) <16F632AD-FADA-3DE9-85E8-EBC7D619A1DA> /usr/lib/system/libsystem_asl.dylib
0x7fff633a0000 -     0x7fff633a0ff7  libsystem_blocks.dylib (73) <0CD6861B-EC5F-3345-9C24-B21EEB85E44F> /usr/lib/system/libsystem_blocks.dylib
0x7fff633a1000 -     0x7fff63428fff  libsystem_c.dylib (1272.250.1) <F3AA9047-EEDD-3D80-8CC1-023FB312EC8B> /usr/lib/system/libsystem_c.dylib
0x7fff63429000 -     0x7fff6342cffb  libsystem_configuration.dylib (963.250.1) <02C7A973-014A-31D7-B7D2-247D384CB0D2> /usr/lib/system/libsystem_configuration.dylib
0x7fff6342d000 -     0x7fff63430ff7  libsystem_coreservices.dylib (66) <4CF1C89B-FA6C-3DF3-B1F8-79F549849534> /usr/lib/system/libsystem_coreservices.dylib
0x7fff63431000 -     0x7fff63437fff  libsystem_darwin.dylib (1272.250.1) <6983A268-20F4-3F98-A3F5-D63848933B02> /usr/lib/system/libsystem_darwin.dylib
0x7fff63438000 -     0x7fff6343eff7  libsystem_dnssd.dylib (878.250.4) <9FC5724C-DD03-3E14-A6E1-2DD009D79E0A> /usr/lib/system/libsystem_dnssd.dylib
0x7fff6343f000 -     0x7fff6348affb  libsystem_info.dylib (517.200.9) <F617D3CF-5A4A-36D0-8CBB-4A7C7CDB67AF> /usr/lib/system/libsystem_info.dylib
0x7fff6348b000 -     0x7fff634b3ff7  libsystem_kernel.dylib (4903.251.3) <84EF0290-6CB5-36E5-A273-692A7E437B36> /usr/lib/system/libsystem_kernel.dylib
0x7fff634b4000 -     0x7fff634ffff7  libsystem_m.dylib (3158.200.7) <33105665-CCC3-36D5-82C9-9B21730CB3DF> /usr/lib/system/libsystem_m.dylib
0x7fff63500000 -     0x7fff63524fff  libsystem_malloc.dylib (166.251.2) <90DA09E3-1276-3FCF-8F5F-C9AA61AB9B6D> /usr/lib/system/libsystem_malloc.dylib
0x7fff63525000 -     0x7fff6352fff7  libsystem_networkextension.dylib (767.250.2) <4575D797-B793-3D18-9E93-8696CF0B133B> /usr/lib/system/libsystem_networkextension.dylib
0x7fff63530000 -     0x7fff63537fff  libsystem_notify.dylib (172.200.21) <679E9132-1A46-326E-9A11-D3FF9C86041C> /usr/lib/system/libsystem_notify.dylib
0x7fff63538000 -     0x7fff63541fef  libsystem_platform.dylib (177.250.1) <3CC59141-5365-3848-94C3-D65E6FCA1E74> /usr/lib/system/libsystem_platform.dylib
0x7fff63542000 -     0x7fff6354cff7  libsystem_pthread.dylib (330.250.2) <4344198A-A1A3-3C52-97B4-F168D56E9789> /usr/lib/system/libsystem_pthread.dylib
0x7fff6354d000 -     0x7fff63550ff7  libsystem_sandbox.dylib (851.250.12) <66E91015-F62A-3365-BB81-AA88707E8F12> /usr/lib/system/libsystem_sandbox.dylib
0x7fff63551000 -     0x7fff63553ff3  libsystem_secinit.dylib (30.220.1) <F054DCB0-68CE-35E7-8B8C-D648C42124EC> /usr/lib/system/libsystem_secinit.dylib
0x7fff63554000 -     0x7fff6355bff3  libsystem_symptoms.dylib (820.257.1) <C8517F35-E9DA-3649-B07D-2B38349C6730> /usr/lib/system/libsystem_symptoms.dylib
0x7fff6355c000 -     0x7fff63571fff  libsystem_trace.dylib (906.250.5) <AE77ACC7-488F-3AE1-BB0C-1ACFC7E1CE77> /usr/lib/system/libsystem_trace.dylib
0x7fff63573000 -     0x7fff63578ffb  libunwind.dylib (35.4) <8F0BC197-B97C-3DDC-92B0-6A7D3CB72FD8> /usr/lib/system/libunwind.dylib
0x7fff63579000 -     0x7fff635a8ff7  libxpc.dylib (1336.251.2) <49138829-09C8-355C-B558-97E070B84EC5> /usr/lib/system/libxpc.dylib

External Modification Summary:

Calls made by other processes targeting this process:
  task_for_pid: 0
  thread_create: 0
  thread_set_state: 0
Calls made by this process:
  task_for_pid: 0
  thread_create: 0
  thread_set_state: 0
Calls made by all processes on this machine:
  task_for_pid: 4797
  thread_create: 0
  thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=595.1M resident=0K(0%) swapped_out_or_unallocated=595.1M(100%)
Writable regions: Total=866.7M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=866.7M(100%)

VIRTUAL   REGION

REGION TYPE SIZE COUNT (non-coalesced)

Accelerate framework 256K 2
Activity Tracing 256K 1
CG backing stores 992K 2
CG image 32K 3
CoreAnimation 124K 6
CoreGraphics 8K 1
CoreImage 28K 3
CoreUI image data 468K 5
CoreUI image file 404K 4
Foundation 4K 1
Kernel Alloc Once 8K 1
MALLOC 407.0M 138
MALLOC guard page 32K 6
MALLOC_LARGE (reserved) 15.5M 4 reserved VM address space (unallocated)
MALLOC_NANO (reserved) 384.0M 1 reserved VM address space (unallocated)
Memory Tag 242 12K 1
Memory Tag 249 156K 2
OpenGL GLSL 256K 3
STACK GUARD 56.0M 13
Stack 14.1M 14
VM_ALLOCATE 43.4M 81
VM_ALLOCATE (reserved) 36K 1 reserved VM address space (unallocated)
DATA 60.2M 305
FONT_DATA 4K 1
GLSLBUILTINS 5176K 1
LINKEDIT 249.6M 12
TEXT 345.5M 311
UNICODE 564K 1
mapped file 53.8M 18
shared memory 680K 11

TOTAL 1.6G 953
TOTAL, minus reserved VM space 1.2G 953

Model: MacBookPro14,1, BootROM 190.0.0.0.0, 2 processors, Intel Core i5, 2,3 GHz, 8 GB, SMC 2.43f6
Graphics: kHW_IntelIrisGraphics640Item, Intel Iris Plus Graphics 640, spdisplays_builtin
Memory Module: BANK 0/DIMM0, 4 GB, LPDDR3, 2133 MHz, 0x802C, 0x4D5435324C3531324D3332443250462D3039
Memory Module: BANK 1/DIMM0, 4 GB, LPDDR3, 2133 MHz, 0x802C, 0x4D5435324C3531324D3332443250462D3039
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x170), Broadcom BCM43xx 1.0 (7.77.61.2 AirPortDriverBrcmNIC-1305.8)
Bluetooth: Version 6.0.11f4, 3 services, 18 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en0
USB Device: USB 3.0 Bus
Thunderbolt Bus: MacBook Pro, Apple Inc., 39.2

I think I managed to reproduce the issue consistently on macOS.
Interestingly enough if I use an experimental build and test that blend file, it always crashes; though if I build Blender from source I cannot (in release, full release, debug, full debug).

That been said I've tried to reproduce the scene but just with a cube and a cylinder and the same Shader Editor setup: as soon as I select the cylinder as the source object for the Texture Coordinates node of the cube, blender crashes on an assert:

0   blender                             0x00000001091306c4 BLI_system_backtrace + 52
1   blender                             0x000000010920b604 _ZN3DEG9Depsgraph11add_id_nodeEP2IDS2_ + 68
2   blender                             0x00000001091a4e04 _ZN3DEG20DepsgraphNodeBuilder11add_id_nodeEP2ID + 244
3   blender                             0x00000001091a68d9 _ZN3DEG20DepsgraphNodeBuilder12build_objectEiP6ObjectNS_26eDepsNode_LinkedState_TypeEb + 313
4   blender                             0x00000001091a7538 _ZN3DEG20DepsgraphNodeBuilder14build_nodetreeEP9bNodeTree + 808
5   blender                             0x00000001091a783c _ZN3DEG20DepsgraphNodeBuilder14build_materialEP8Material + 332
6   blender                             0x00000001091aa785 _ZN3DEG20DepsgraphNodeBuilder26build_object_data_geometryEP6Objectb + 549
7   blender                             0x00000001091a968e _ZN3DEG20DepsgraphNodeBuilder17build_object_dataEP6Objectb + 126
8   blender                             0x00000001091a6b43 _ZN3DEG20DepsgraphNodeBuilder12build_objectEiP6ObjectNS_26eDepsNode_LinkedState_TypeEb + 931
9   blender                             0x00000001091d95fa _ZN3DEG20DepsgraphNodeBuilder16build_view_layerEP5SceneP9ViewLayerNS_26eDepsNode_LinkedState_TypeE + 298
10  blender                             0x000000010921359f DEG_graph_build_from_view_layer + 511
11  blender                             0x0000000109213878 DEG_graph_relations_update + 72
12  blender                             0x0000000108ffee4e BKE_scene_graph_update_for_newframe + 126
13  blender                             0x00000001092bc9fe engine_depsgraph_init + 126
14  blender                             0x00000001092bc70a RE_engine_render + 1434
15  blender                             0x00000001092cede5 do_render_3d + 69
16  blender                             0x00000001092d1061 RE_PreviewRender + 241
17  blender                             0x0000000112a16d6c shader_preview_render + 956
18  blender                             0x0000000112a1671f shader_preview_startjob + 143
19  blender                             0x0000000112a1663c icon_preview_startjob + 908
20  blender                             0x0000000112a15fd3 common_preview_startjob + 83
21  blender                             0x0000000112a15849 icon_preview_startjob_all_sizes + 617
22  blender                             0x0000000109537efc do_job_thread + 92
23  blender                             0x0000000109135791 tslot_thread_start + 49
24  libsystem_pthread.dylib             0x00007fff65d0c2eb _pthread_body + 126
25  libsystem_pthread.dylib             0x00007fff65d0f249 _pthread_start + 66
26  libsystem_pthread.dylib             0x00007fff65d0b40d thread_start + 13
BLI_assert failed: /Users/smjert/Development/blender-build/blender/source/blender/depsgraph/intern/depsgraph.cc:120, add_id_node(), at '(id->tag & LIB_TAG_COPIED_ON_WRITE) == 0'
[1]    55088 abort

Funnily enough if I use my blend file with a release build I did it doesn't crash, but if I select the cylinder in the Texture Coordinates, save the blend file with that release build and then open it with the experimental build, then switch to the render preview it crashes, generating "the same" crash log that has been reported.

Same assert is triggered also on Linux with a Debug build btw.

I do not get the asserts on my end.

If you get the same error on linux with a debug build, could you provide a backtrace if you start blender with gdb?

Just do:
gdb ./blender
And then type run
After you have run into the assert, just type bt to get the backtrace.

However I find it weird that I can't reproduce this on my end. Just open up the file and go into textured view, right?

I didn't hit the assert on Linux with the provided file, but with a custom one.

I used a custom one because I thought that I could do a simpler setup that crashed the same way on macOS and Linux.
When I did that some days ago I was able to obtain a similar crash on macOS and then also on Linux.

Today I wanted to give you a better explanation, but I've also updated the Blender build on both macOS and Linux (f9ee08610ac5f66441ddc972f403ca28c7d943d0) and it doesn't crash anymore if I use Blender built from source (on macOS, on Linux, with the provided file and with the custom one).
It crashes only with the experimental build (1b839e85e142) on macOS.

I'll try to do a bisect to understand what fixed the issue, because it seemed a memory corruption by the behaviour.
Maybe also try asan to verify that the issue is really gone and that's not simply corrupting part of the memory that doesn't make it immediately crash.

Ok this is really a tricky one, on macOS I can actually still reproduce it using my custom file and a Debug build with this commit f9ee08610ac5f66441ddc972f403ca28c7d943d0

I did many tests with many combinations and I get weird/different results depending on the platform or the version of blender or the file used. I'll try to summarize my tests/finding:

macOS, commit 1b839e85e142, Debug build, L1_Luftsperre.blend, switch to LookDev mode: nocrash
macOS, commit 1b839e85e142, Release build, L1_Luftsperre.blend, switch to LookDev mode: crash

macOS, commit 1b839e85e142, Debug build, crash_test.blend, select cylinder as source object for Texture Coordinates: crash/assert

macOS, commit 1b839e85e142, Release build, crash_test.blend, select cylinder as source object for Texture Coordinates: no crash
macOS, commit 1b839e85e142, Release build, crash_test.blend, switch to LookDev mode after the cylinder has been selected: crash

macOS, commit aa42da03859, Debug build, L1_Luftsperre.blend, switch to LookDev mode: nocrash
macOS, commit aa42da03859, Release build, L1_Luftsperre.blend, switch to LookDev mode: nocrash
macOS, commit aa42da03859, Debug build, crash_test.blend, select cylinder as source object for Texture Coordinates: crash/assert

macOS, commit aa42da03859, Release build, crash_test.blend, select cylinder as source object for Texture Coordinates: no crash
macOS, commit aa42da03859, Release build, crash_test.blend, switch to LookDev mode after the cylinder has been selected: no crash
macOS, commit fa5dd59f983, Debug build, L1_Luftsperre.blend, switch to LookDev mode: nocrash
macOS, commit fa5dd59f983, Debug build, crash_test.blend, select cylinder as source object for Texture Coordinates: crash/assert

Linux, commit 1b839e85e142, Debug build with asan, L1_Luftsperre.blend, switch to LookDev mode: crash

Linux, commit, 1b839e85e142, Debug build with asan, crash_test.blend, select cylinder as source object for Texture Coordinates: crash

Linux, commit aa42da03859, Debug build with asan, L1_Luftsperre.blend, switch to LookDev mode: asan crash (only once though, couldn't repeat it)

Linux, commit aa42da03859, Debug build, crash_test.blend, select cylinder as source object for Texture Coordinates: crash

Linux, commit aa42da03859, Release build, crash_test.blend, select cylinder as source object for Texture Coordinates: no crash
Linux, commit aa42da03859, Release build, crash_test.blend, switch to LookDev mode after the cylinder has been selected: no crash

And here my blend file:

This is what I could try, then I finished the time ^^'.

I went a bit all out here, but this bug is really pesky.

Sebastian Parborg (zeddb) triaged this task as Confirmed, Medium priority.

I can confirm that I get an assert when assigning the cylinder object as the texture coordinate object on the cube:

BLI_assert failed: blender/source/blender/depsgraph/intern/depsgraph.cc:120, add_id_node(), at '(id->tag & LIB_TAG_COPIED_ON_WRITE) == 0'

No real crashes though if I disregard the asserts.

@Sergey Sharybin (sergey) I'm guessing that the asserts shouldn't be triggered here, so I'll mark this as confirmed.

I can not reproduce the issue here. Please test rB51347be24e4 and see if that fixes the issue.

Sebastian Parborg (zeddb) closed this task as Resolved.May 2 2019, 4:21 PM

I can't reproduce the assert anymore, so I'll mark this as resolved until something else is stated.